Package pyplusplus :: Package decl_wrappers :: Module enumeration_wrapper :: Class enumeration_t

# type enumeration_t

source code

                                             object --+
                                                      |
                            decl_wrapper.decl_wrapper_t --+
                                                          |
                                         object --+       |
                                                  |       |
    pygccxml.declarations.declaration.declaration_t --+   |
                                                      |   |
        pygccxml.declarations.enumeration.enumeration_t --+
                                                          |
                                                         enumeration_t

defines a set of properties, that will instruct Py++ how to expose the enumeration

By default, Py++ will export all enumeration values.

Instance Methods

__init__(self, *arguments, **keywords) creates class that describes C++ enum declaration | source code

Inherited from `decl_wrapper.decl_wrapper_t`: `disable_messages`, `disable_warnings`, `exclude`, `get_already_exposed`, `get_exportable`, `include`, `readme`, `rename`, `set_already_exposed`, `set_exportable`, `why_not_exportable`

Inherited from `pygccxml.declarations.enumeration.enumeration_t`: `__eq__`, `append_value`, `get_name2value_dict`, `has_value_name`, `i_depend_on_them`

Inherited from `pygccxml.declarations.declaration.declaration_t`: `__lt__`, `__ne__`, `__str__`, `create_decl_string`

Class Variables
Inherited from `decl_wrapper.decl_wrapper_t`: `SPECIAL_TYPEDEF_PICK_ANY`

Properties
dict | value_aliases A translation table from C++ enumeration value names to desired Python names.
list | export_values A list of (C++) enumeration names that should be exported.
list | no_export_values A list of (C++) enumeration names that should not be exported.

Inherited from `decl_wrapper.decl_wrapper_t`: `alias`, `already_exposed`, `disabled_messages`, `documentation`, `exportable`, `ignore`, `include_files`, `logger`

Inherited from `pygccxml.declarations.enumeration.enumeration_t`: `byte_align`, `byte_size`, `values`

Inherited from `pygccxml.declarations.declaration.declaration_t`: `attributes`, `cache`, `compiler`, `decl_string`, `demangled`, `is_artificial`, `location`, `mangled`, `name`, `parent`, `partial_decl_string`, `partial_name`, `top_parent`

Method Details

### __init__(self, *arguments, **keywords)
(Constructor)

source code

creates class that describes C++ enum declaration

The items of the list 'values' may either be strings containing the enumeration value name or tuples (name, numvalue).

Parameters:
  - `name` - Enum name
  - `parent` - Parent declaration
  - `values` - Enumeration values
Overrides: pygccxml.declarations.declaration.declaration_t.__init__

Property Details

### value_aliases

A translation table from C++ enumeration value names to desired Python names.

Get Method:
  _get_value_aliases(self)
Set Method:
  _set_value_aliases(self, value_aliases)
Type:
  dict

### export_values

A list of (C++) enumeration names that should be exported.

Get Method:
  _get_export_values(self)
Set Method:
  _set_export_values(self, export_values)
Type:
  list

### no_export_values

A list of (C++) enumeration names that should not be exported.

Get Method:
  _get_no_export_values(self)
Set Method:
  _set_export_values(self, export_values)
Type:
  list